---
wagl:
  algorithm_information:
    algorithm_version: 2.0
    nbar_doi: http://dx.doi.org/10.1109/JSTARS.2010.2042281
    nbar_terrain_corrected_doi: http://dx.doi.org/10.1016/j.rse.2012.06.018
  ancillary:
    aerosol:
      id:
      - 3694c04d-97cb-5950-b895-82942177182f
      tier: AATSR_CMP_MONTH
      value: 0.09026458114385605
    brdf:
      alpha_1:
        band_1: 0.14281735669283876
        band_11: 0.1976947336933669
        band_12: 0.1116503987075516
        band_2: 0.14281735669283876
        band_3: 0.20225640017528423
        band_4: 0.14584674530717123
        band_5: 0.14584674530717123
        band_6: 0.14584674530717123
        band_7: 0.4640717310653702
        band_8: 0.4640717310653702
        band_8a: 0.4640717310653702
      alpha_2:
        band_1: 0.28166334169398344
        band_11: 0.24691968767567826
        band_12: 0.2741419137027275
        band_2: 0.28166334169398344
        band_3: 0.27181000754289864
        band_4: 0.2804447836258136
        band_5: 0.2804447836258136
        band_6: 0.2804447836258136
        band_7: 0.1864047053836824
        band_8: 0.1864047053836824
        band_8a: 0.1864047053836824
      id:
      - 68ab2e77-18bf-5ba8-9228-e485aebecf97
      tier: DEFINITIVE
    elevation:
      id:
      - 27ca9489-8222-5117-96f6-2af42655c604
      - 8ad73086-72cf-561a-aa0f-1e3c64d53384
    ozone:
      id:
      - 3a5b2597-effc-53e6-b65f-cec584ee6a3e
      tier: DEFINITIVE
      value: 0.261
    water_vapour:
      id:
      - c3642881-f10f-55e5-9068-9b587121b2f0
      tier: DEFINITIVE
      value: 1.75
  id: 528e8d39-45cb-4009-9a65-9f01a90c5bcf
  parameters:
    buffer_distance: 8000
    esun:
      BAND-1: 1972.8896953986466
      BAND-11: 240.17979648816652
      BAND-12: 82.14575561941088
      BAND-2: 2016.5933254295658
      BAND-3: 1888.247420584859
      BAND-4: 1541.7535862220493
      BAND-5: 1423.2373302257436
      BAND-6: 1298.7082639218959
      BAND-7: 1188.8938803894905
      BAND-8: 1052.9677350723787
      BAND-8A: 960.2239396133824
    method: 2
    normalized_solar_zenith: 45.0
    rori: 0.52
    vertices:
    - 3
    - 3
  source_datasets:
    acquisition_datetime: 2021-03-15 01:46:40.446766Z
    atime: 2022-07-02 14:05:58Z
    ctime: 2021-03-16 00:31:55Z
    mtime: 2021-03-16 00:31:48Z
    owner_id: '12232'
    platform_id: SENTINEL_2A
    sensor_id: MSI
    source_level1: /g/data/fj7/Copernicus/Sentinel-2/MSI/L1C/2021/2021-03/30S120E-35S125E/S2A_MSIL1C_20210315T013711_N0209_R031_T51HXD_20210315T032339.zip
  system_information:
    hostname: gadi-cpu-clx-1160.gadi.nci.org.au
    runtime_id: 19ac5d20-fa10-11ec-86fa-00000083fe80
    time_processed: 2022-07-02 14:05:59.877617Z
    uname: 'Linux gadi-cpu-clx-1160.gadi.nci.org.au 4.18.0-348.20.1.el8.nci.x86_64
      #1 SMP Wed Mar 16 11:37:35 AEDT 2022 x86_64'
gqa:
  colors:
    blue: 0.0
    green: 0.0
    red: 15.0
    teal: 29.0
    yellow: 3.0
  error_message: no errors
  final_qa_count: 31
  granule: S2A_OPER_MSI_L1C_TL_VGS1_20210315T032339_A029915_T51HXD_N02.09
  ref_date: '2014-06-16T00:00:00+00:00'
  ref_source: GQA_v3
  ref_source_path: /g/data/v10/eoancillarydata/GCP/GQA_v3/wrs2/107/082/LC81070822014167LGN00_B6.TIF
  residual:
    abs:
      x: 3.08
      xy: 3.7
      y: 2.05
    abs_iterative_mean:
      x: 0.94
      xy: 0.96
      y: 0.19
    cep90: 0.89
    iterative_mean:
      x: 0.94
      xy: 0.95
      y: 0.14
    iterative_stddev:
      x: 1.12
      xy: 1.21
      y: 0.44
    mean:
      x: 3.08
      xy: 3.32
      y: 1.24
    stddev:
      x: 4.16
      xy: 5.34
      y: 3.34
fmask:
  parameters:
    cloud_buffer_distance_metres: 0.0
    cloud_shadow_buffer_distance_metres: 0.0
    frantz_parallax_sentinel_2: false
  percent_class_distribution:
    clear: 23.18567954319992
    cloud: 41.75718063311004
    cloud_shadow: 2.8598080298340087
    snow: 31.398299939283547
    water: 0.7990318545724798
s2cloudless:
  parameters:
    average_over: 4
    dilation_size: 2
    threshold: 0.4
  percent_class_distribution:
    clear: 9.197557406909732
    cloud: 90.80244259309028
software_versions:
- name: modtran
  url: http://www.ontar.com/software/productdetails.aspx?item=modtran
  version: 6.0.1
- name: wagl
  url: https://github.com/GeoscienceAustralia/wagl
  version: 5.8.3
- name: eugl
  url: https://github.com/OpenDataCubePipelines/eugl
  version: 0.5.2
- name: gverify
  url:
  version: v0.25c
- name: fmask
  url: https://www.pythonfmask.org/
  version: 0.5.5
- name: s2cloudless
  url: https://github.com/sentinel-hub/sentinel2-cloud-detector
  version: 1.5.0
- name: tesp
  url: https://github.com/OpenDataCubePipelines/tesp
  version: 0.14.1
- name: eodatasets3
  url: https://github.com/GeoscienceAustralia/eo-datasets
  version: 0.27.3
...
